import { world, system } from "@minecraft/server";
/*import * as advancementData from "../data/advancement_data.js"

system.runInterval(() => {
	system.runJob(function*() {
		const players = world.getAllPlayers();
		for (let i=0;i<players.length;i++) {
			const player = players[i];
			const item = player.getComponent("minecraft:equippable").getEquipmentSlot("Mainhand");
			const advancementDataTypes = advancementData.advancementDataTypes;
			const advancement = advancementDataTypes.advancements;
			const industrialRevolution = advancement.includes(item.typeId);
			if (advancement.industrial_revolution) {
				if (!advancement.industrial_revolution.items.includes(itemtypeId)) return;
				player.addTag(advancement.industrial_revolution.title);
				player.playSound("music.ussr");
				player.dimension.runCommand(`title ${player.name} title §e☭`);
				world.sendMessage(` ${translate:"pack.addon_script.work"}`);
			}
		}
	}());
},2);*/